# Interface TransformOptions

#### Hierarchy

- DuplexOptions
  - TransformOptions

#####
Index

### Properties

allowHalfOpen?
autoDestroy?
decodeStrings?
defaultEncoding?
emitClose?
encoding?
highWaterMark?
objectMode?
readableHighWaterMark?
readableObjectMode?
signal?
writableCorked?
writableHighWaterMark?
writableObjectMode?

### Methods

construct?
destroy?
final?
flush?
read?
transform?
write?
writev?

## Properties

### `Optional` allowHalfOpen

allowHalfOpen?: boolean

Inherited from DuplexOptions.allowHalfOpen

### `Optional` autoDestroy

autoDestroy?: boolean

Inherited from DuplexOptions.autoDestroy

### `Optional` decodeStrings

decodeStrings?: boolean

Inherited from DuplexOptions.decodeStrings

### `Optional` defaultEncoding

defaultEncoding?: BufferEncoding

Inherited from DuplexOptions.defaultEncoding

### `Optional` emitClose

emitClose?: boolean

Inherited from DuplexOptions.emitClose

### `Optional` encoding

encoding?: BufferEncoding

Inherited from DuplexOptions.encoding

### `Optional` highWaterMark

highWaterMark?: number

Inherited from DuplexOptions.highWaterMark

### `Optional` objectMode

objectMode?: boolean

Inherited from DuplexOptions.objectMode

### `Optional` readableHighWaterMark

readableHighWaterMark?: number

Inherited from DuplexOptions.readableHighWaterMark

### `Optional` readableObjectMode

readableObjectMode?: boolean

Inherited from DuplexOptions.readableObjectMode

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from DuplexOptions.signal

### `Optional` writableCorked

writableCorked?: number

Inherited from DuplexOptions.writableCorked

### `Optional` writableHighWaterMark

writableHighWaterMark?: number

Inherited from DuplexOptions.writableHighWaterMark

### `Optional` writableObjectMode

writableObjectMode?: boolean

Inherited from DuplexOptions.writableObjectMode

## Methods

### `Optional` construct

- construct(this, callback): void

- #### Parameters

  - ##### this: Transform

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.construct

### `Optional` destroy

- destroy(this, error, callback): void

- #### Parameters

  - ##### this: Transform

  - ##### error: null | Error

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.destroy

### `Optional` final

- final(this, callback): void

- #### Parameters

  - ##### this: Transform

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.final

### `Optional` flush

- flush(this, callback): void

- #### Parameters

  - ##### this: Transform

  - ##### callback: TransformCallback

  #### Returns void

### `Optional` read

- read(this, size): void

- #### Parameters

  - ##### this: Transform

  - ##### size: number

  #### Returns void

  Overrides DuplexOptions.read

### `Optional` transform

- transform(this, chunk, encoding, callback): void

- #### Parameters

  - ##### this: Transform

  - ##### chunk: any

  - ##### encoding: BufferEncoding

  - ##### callback: TransformCallback

  #### Returns void

### `Optional` write

- write(this, chunk, encoding, callback): void

- #### Parameters

  - ##### this: Transform

  - ##### chunk: any

  - ##### encoding: BufferEncoding

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.write

### `Optional` writev

- writev(this, chunks, callback): void

- #### Parameters

  - ##### this: Transform

  - ##### chunks: {
    chunk: any;
    encoding: BufferEncoding;
    }[]

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.writev

Generated using TypeDoc